Security Enhanced Linux Reference Policy

# Layer: services

## Module: sssd

Interfaces

### Description:

System Security Services Daemon

### Interfaces:

sssd_admin( domain , role , terminal )

##### Summary

All of the rules required to administrate an sssd environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the sssd domain.
terminal | The type of the user terminal.

sssd_dbus_chat( domain )

##### Summary

Send and receive messages from sssd over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_domtrans( domain )

##### Summary

Execute a domain transition to run sssd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sssd_manage_lib_files( domain )

##### Summary

Create, read, write, and delete sssd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_manage_pids( domain )

##### Summary

Manage sssd var_run files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_read_lib_files( domain )

##### Summary

Read sssd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_read_pid_files( domain )

##### Summary

Read sssd PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_search_lib( domain )

##### Summary

Search sssd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sssd_stream_connect( domain )

##### Summary

Connect to sssd over an unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return